#ifndef _UG_PLAYER_MANAGER_
#define _UG_PLAYER_MANAGER_

#include "UGPlayer.h"

class UGPlayerManager{
private:
	void standToWalk(UGPlayer* player, HPLVector* velocityAngle);
	void walkToStand(UGPlayer* player, HPLVector* velocityAngle);
	void jump(UGPlayer* player, HPLVector* velocityAngle);
	void crouch(UGPlayer* player, HPLVector* velocityAngle);

public:
	UGPlayerManager();
	~UGPlayerManager();
public:
	void move(UGPlayer* player, HPLVector* velocityAngle);
	void collisionCheck(UGPlayer* player, HPLVector* center, HPLVector* velocityAngle);

	void attack(UGPlayer* player, HPLVector* center, HPLVector* velocityAngle);
	//void keyMove(UGPlayer* player, HPLVector* center, HPLVector* velocityAngle);
	//void checkCollision(UGPlayer* player, HPLVector* center, HPLVector* velocityAngle);

	/**
		‘Š–_AI
	*/
	void aiboMove(UGPlayer* player, UGPlayer* aibo);
};

#endif
